OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.SampleShading

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSampleShading :: MonadIO m => m Bool
- gl_ARB_sample_shading :: Bool
- pattern GL_MIN_SAMPLE_SHADING_VALUE_ARB :: GLenum
- pattern GL_SAMPLE_SHADING_ARB :: GLenum
- glMinSampleShadingARB :: MonadIO m => GLfloat -> m ()

# Extension Support

glGetARBSampleShading :: MonadIO m => m Bool Source #

Is the ARB_sample_shading extension supported?

gl_ARB_sample_shading :: Bool Source #

Is the ARB_sample_shading extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSampleShading` in those cases instead.

# Enums

pattern GL_MIN_SAMPLE_SHADING_VALUE_ARB :: GLenum Source #

pattern GL_SAMPLE_SHADING_ARB :: GLenum Source #

# Functions

glMinSampleShadingARB Source #

Arguments

:: MonadIO m |
=> GLfloat | `value` of type `ColorF`.
-> m () |

This command is an alias for `glMinSampleShading`.